#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Mail;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;


$user = new Vhffs::User( $princ , "soda" , 401) ;
my $group = new Vhffs::Group( $princ , "soda" , 401) ;

my $mail = new Vhffs::Services::Mail( $princ , $ARGV[0] , $user , $group);

if( defined $mail )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}


if( $mail->fetch < 0 )
{
	print "can't fetch mail object";
	exit 0;
}

if( $mail->addbox("soda" , "prout") < 0 )
{
	print "can't add this part to the mail object";
	exit 0;
}


my $retour = $mail->commit;

if( $retour < 0 )
{
	print "ERROR while create box, returns $retour \n";
}
else
{
	print "Successfully create box : $retour \n";
}


use Data::Dumper;

