#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Panel::Group;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
	print "Error ! Create a new group with : create_group groupname";
	print "Example : create_group soda";
}


print "Creation du group $ARGV[0]\n";
$user = new Vhffs::User( $princ , "sodalol" , 401) ;


#add this group in database
my $retour = Vhffs::Panel::Group::create_group( $ARGV[0] , $user , $princ );
if( $retour lt 0 )
{
	print "Impossible de creer ce groupe\n";
	exit 0;
}
else
{

	print "Groupe cree !\n";
}



exit;
